package com.bonus.common.security.utils;

import com.bonus.common.security.annotation.NoPercent;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

/**
 * 校验字符串是否包含 % 的实现类
 */
public class NoPercentValidator implements ConstraintValidator<NoPercent, String> {

    @Override
    public boolean isValid(String value, ConstraintValidatorContext context) {
        if (value == null) {
            return true; // 如果允许 null，返回 true；否则改为 false
        }
        return !value.contains("%"); // 如果不包含 % 则校验通过
    }
}